---
title: Unarchive Variations
slug: feature-experimentation/api/unarchive-variations
docTags: 
createdAt: 2026-08-28T15:54:06.731Z
---

{
  "id": "b7_9CjkJLzrJMU3wy0_S_",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations/unarchived",
    "servers": [
      {
        "url": "https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations/unarchived"
      }
    ],
    "name": "Unarchive Variations",
    "description": "<p>Unarchive one or more Variations for a Flag.</p>\n<p>This operation corresponds to the <code>unarchive_url</code> in a Variations response.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "project_id",
          "type": "integer",
          "example": 12345,
          "description": "The project identifier"
        },
        {
          "kind": "required",
          "name": "flag_key",
          "type": "string",
          "example": "recurring_deposit",
          "description": "The Flag identifier"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "example": "{\"keys\":[\"high_discount\"]}",
          "description": "",
          "customType": "BulkOperationsRequestBody",
          "schema": [
            {
              "name": "keys",
              "kind": "optional",
              "type": "array",
              "description": "The list of resource keys to perform the desired operation",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            }
          ],
          "modelRef": "#/components/schemas/BulkOperationsRequestBody",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiKey",
          "name": "apiKey",
          "kind": "optional",
          "type": "http",
          "scheme": "bearer"
        },
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "description": "Write applications that authenticate with the REST API via OAuth 2.0.",
          "oauth2Flows": {
            "authorizationCode": {
              "authorizationUrl": "https://app.optimizely.com/oauth2/authorize",
              "tokenUrl": "https://app.optimizely.com/oauth2/token",
              "scopes": {
                "all": "Grants all access"
              }
            }
          },
          "requiredScopes": [
            "read",
            "write"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Successful unarchive of Variations.\nResponse is a dictionary of variation_key (key) and Variation for a Flag (value)</p>\n<p>The response includes RESTful JSON (<a href=\"https://restfuljson.org/\" target=\"_blank\">https://restfuljson.org/</a>) styled links. If a\nlink is not present in the response, it indicates a user is not authorized to access\nthe related resource.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"high_discount\":{\"archive_url\":\"...\",\"archived\":false,\"created_time\":\"2019-05-08T00:00:00+00:00\",\"delete_url\":\"...\",\"description\":\"Use this to provide high discounts\",\"enabled\":true,\"environment_usage_count\":{\"development\":2,\"production\":3},\"fetch_flag_url\":\"...\",\"flag_key\":\"recurring_deposit\",\"id\":45633995,\"key\":\"high_discount\",\"name\":\"High Discount\",\"unarchive_url\":\"...\",\"update_url\":\"...\",\"updated_time\":\"2019-05-08T00:00:00+00:00\",\"url\":\"...\",\"urn\":\"variations.flag.optimizely.com::45633995\",\"variables\":{\"advanced\":{\"key\":\"advanced\",\"type\":\"json\",\"value\":\"{\\n\\t\\\"hello\\\": 123\\n}\"},\"amount\":{\"key\":\"amount\",\"type\":\"double\",\"value\":10},\"message\":{\"key\":\"message\",\"type\":\"string\",\"value\":\"Enjoy!!\"}}},\"low_discount\":{\"low_discount\":{\"archive_url\":\"...\",\"archived\":false,\"created_time\":\"2019-05-08T00:00:00+00:00\",\"delete_url\":\"...\",\"description\":\"Use this to provide low discounts\",\"enabled\":true,\"environment_usage_count\":{\"development\":2,\"production\":3},\"fetch_flag_url\":\"...\",\"flag_key\":\"recurring_deposit\",\"id\":45633995,\"key\":\"low_discount\",\"name\":\"Low Discount\",\"unarchive_url\":\"...\",\"update_url\":\"...\",\"updated_time\":\"2019-05-08T00:00:00+00:00\",\"url\":\"...\",\"urn\":\"variations.flag.optimizely.com::45633995\",\"variables\":{\"advanced\":{\"key\":\"advanced\",\"type\":\"json\",\"value\":\"{\\n\\t\\\"hello\\\": 123\\n}\"},\"amount\":{\"key\":\"amount\",\"type\":\"double\",\"value\":2},\"message\":{\"key\":\"message\",\"type\":\"string\",\"value\":\"Enjoy!!\"}}}}}",
            "description": "Map of variations that include variation key as key and variation payload as value.",
            "customType": "VariationMap",
            "schema": [],
            "modelRef": "#/components/schemas/VariationMap",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Malformed requests and invalid parameter names and types",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "Invalid credentials",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Do not have permission to perform the operation",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not found. No content",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "409",
        "description": "Conflicting resource state with requested action",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "8IQuZQIOM0l3LleiOlx_V",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations/unarchived \\\n     --header 'accept: application/json'"
        },
        {
          "id": "XMsStHVaoHowbNoF8IPK5",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations/unarchived\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "uIh3ITglD1vn7gWiFGOtP",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations/unarchived\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "qQGCc9tAFK-d0O3osP9CS",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations/unarchived\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "8IQuZQIOM0l3LleiOlx_V"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Successful unarchive of Variations.\nResponse is a dictionary of variation_key (key) and Variation for a Flag (value)\nThe response includes RESTful JSON (https://restfuljson.org/) styled links. If a\nlink is not present in the response, it indicates a user is not authorized to access\nthe related resource.\n{}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Malformed requests and invalid parameter names and types\n"
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// Invalid credentials\n"
        },
        {
          "id": "response-3-403",
          "language": "403",
          "code": "// Do not have permission to perform the operation\n"
        },
        {
          "id": "response-4-404",
          "language": "404",
          "code": "// Not found. No content\n"
        },
        {
          "id": "response-5-409",
          "language": "409",
          "code": "// Conflicting resource state with requested action\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}